Tests API
Get test details
Retrieve full details for a test including its script content.
GET
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
id*stringTest ID
Format
uuidincludeScript?booleanInclude decoded script content in the response. Defaults to true unless explicitly set to false.
Test details
application/json- response
id?stringFormat
uuidname?stringtitle?stringdescription?stringpriority?stringTest priority
Value in
"low""medium""high"type?stringTest type. browser = Playwright, performance = k6
Value in
"browser""api""performance""database""custom"script?stringTest script content
projectId?stringFormat
uuidorganizationId?stringFormat
uuidtags?array<>createdByName?stringcreatedByImage?stringcreatedAt?stringFormat
date-timeupdatedAt?stringFormat
date-timecurl -X GET 'https://demo.supercheck.dev/api/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "title": "string", "description": "string", "priority": "low", "type": "browser", "script": "string", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "color": "string" } ], "createdByName": "string", "createdByImage": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}